Menu

## SceneConnectable
in

SceneConnectable.php : 6

### Table of Contents

Bidirectional = 0
Unidirectional = 1
Xordirectional = 2
connect() : SceneConnection
  Creates an outgoing connection for this scene to the given connectable.

### Constants

#### Bidirectional

SceneConnectable.php : 8
`public mixed Bidirectional = 0`

#### Unidirectional

SceneConnectable.php : 9
`public mixed Unidirectional = 1`

#### Xordirectional

SceneConnectable.php : 10
`public mixed Xordirectional = 2`

### Methods

#### connect()

SceneConnectable.php : 18

Creates an outgoing connection for this scene to the given connectable.

`public connect(SceneConnectable $connectable, int $directionality) : SceneConnection`

##### Parameters

$connectable : SceneConnectable
$directionality : int

##### Return values

SceneConnection —

## Search results